%global momorel 6

Summary: Secret Rabbit Code is Sample Rate Converter for audio
Name: libsamplerate
Version: 0.1.2
Release: %{momorel}m%{?dist}
Group:  Applications/Multimedia
License: GPLv2+
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
URL: http://www.mega-nerd.com/SRC/
Source0: http://www.mega-nerd.com/SRC/%{name}-%{version}.tar.gz 
NoSource: 0
Patch0: libsamplerate-0.1.2-CVE-2008-5008.patch
Requires: libsndfile >= 1.0.2
BuildRequires: fftw-devel >= 2.1.5-5m, libsndfile-devel >= 1.0.15-2m

%description
 Secret Rabbit Code (aka libsamplerate) is a Sample Rate Converter for audio. One example of where such a thing would be useful is converting audio from the CD sample rate of 44.1kHz to the 48kHz sample rate used by DAT players.

SRC is capable of arbitrary and time varying conversions ; from downsampling by a factor of 12 to upsampling by the same factor. Arbitrary in this case means that the ratio of input and output sample rates can be an irrational number. The conversion ratio can also vary with time for speeding up and slowing down effects.

SRC provides a small set of converters to allow quality to be traded off against computation cost. The current best converter provides a signal-to-noise ratio of 97dB with -3dB passband extending from DC to 96% of the theoretical best bandwidth for a given pair of input and output sample rates.

%package devel
Summary:        libsamplerate header files and development documentation
Group:          Development/Libraries
Requires:       %{name} = %{version}

%description devel
Header files and development documentation for libsamplerate.

%prep

%setup -q
%patch0 -p1 -b .CVE-2008-5008~

%build
%configure
%make

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} transform='s,x,x,' install
find %{buildroot} -name "*.la" -delete

%check
make check

%clean
rm -rf %{buildroot}

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc NEWS AUTHORS README INSTALL ChangeLog COPYING doc/ examples/
%{_bindir}/*
%{_libdir}/lib*.so.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so
%{_includedir}/*
%{_libdir}/pkgconfig/*.pc
%{_libdir}/lib*.a

%changelog
* Sat Jan 31 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.1.2-6m)
- [SECURITY] CVE-2008-5008
- apply Patch0

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.1.2-5m)
- rebuild against gcc43

* Thu Feb 14 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.1.2-4m)
- %%NoSource -> NoSource

* Mon Feb 12 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.1.2-3m)
- delete libtool library

* Fri May 26 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.1.2-2m)
- revise %%files for rpm-4.4.2

* Mon Oct 04 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (0.1.2-1m)
- update to 0.1.2
- make install transform='s,x,x,'

* Thu Jun 17 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (0.1.0-1m)
- import to Momonga
- needed by kino-0.7.1
